org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacyTabbedPropertySheetPageContributor

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacyTabbedPropertySheetPageContributor

All Implemented Interfaces:
  IEEFTabbedPropertySheetPageContributor

    public class EEFLegacyTabbedPropertySheetPageContributor
    extends java.lang.Object
    implements IEEFTabbedPropertySheetPageContributor

Wraps a TabbedPropertySheetPage contributor to an `IEEFTabbedPropertySheetPageContributor`.

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacyTabbedPropertySheetPageContributor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getContributorId()` Returns the contributor ID for the tabbed property sheet page.
`void` `updateFormTitle(org.eclipse.ui.forms.widgets.Form form, org.eclipse.jface.viewers.ISelection selection)` Updates the text and label.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLegacyTabbedPropertySheetPageContributor

    public EEFLegacyTabbedPropertySheetPageContributor()

### Method Detail

#### getContributorId

    public java.lang.String getContributorId()

Description copied from interface: `IEEFTabbedPropertySheetPageContributor`
Returns the contributor ID for the tabbed property sheet page.

Specified by:
  `getContributorId` in interface `IEEFTabbedPropertySheetPageContributor`
Returns:
  the contributor ID for the tabbed property sheet page.

#### updateFormTitle

    public void updateFormTitle(org.eclipse.ui.forms.widgets.Form form,
                                org.eclipse.jface.viewers.ISelection selection)

Updates the text and label.

Specified by:
  `updateFormTitle` in interface `IEEFTabbedPropertySheetPageContributor`
Parameters:
  `form` - The form
  `selection` - The current selection
See Also:
  `IEEFTabbedPropertySheetPageContributor.updateFormTitle(org.eclipse.ui.forms.widgets.Form, org.eclipse.jface.viewers.ISelection)`